<?php
//session_start();
include_once "connection.php";
$bid =  $_GET['bankid'];
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta http-equiv="X-UA-Compatible" content="ie=edge">
		<link rel="stylesheet" href="bootstrap/css/font-awesome.min.css">
		<link rel="stylesheet" href="bootstrap/css/bootstrap.css">
		<link rel="stylesheet" href="style/style.css">
		
		<link rel="stylesheet" href="bootstrap/css/select.css">
		<link rel="stylesheet" href="bootstrap/datatables/dataTables.bootstrap4.css">
		<link rel="stylesheet" href="bootstrap/css/bootstrap-datetimepicker.css">
		<title>Bank Statement</title>
	</head>
	<body onload="ajax_bankstatementTB(<?php echo $bid; ?>);">
		<div class="container-fluid px-5 conBOX">
			<div class="row py-2 text-center">
				<a href="reconcile.php?bankid=<?php echo $bid; ?>" ><h6><i class="fa fa-share fa-flip-horizontal"></i> Back to Reconcile</h6></a>
			</div>
		</div>
		
		<div class="container py-6">
			<div class="row">
				
				<div class="col col-lg-6 py-5">
					<div class="row justify-content-center p-5">
						
						<h5><i class="fa fa-pencil-square">	</i> Encode Bank Statement</h5>
					</div>
					<div class="circleOR">
						
						or
					</div>
					
					<section class="frm">
						
						<div class="form-group row">
							<label for="staticEmail" class="col-sm-2 col-form-label">Date</label>
							
							<div id="datepicker" class="input-group col-sm-8 date" data-date-format="yyyy-mm-dd">
								<input type="text" id= "dtValue" class="form-control" type="text" readonly />
								<span class="input-group-addon"></span>
								
							</div>
							
						</div>
						<div class="form-group row">
							<label for="inputtext" class="col-sm-2 col-form-label">Reference</label>
							<div class="col-sm-8">
								<input type="number" class="form-control" id="ref" >
							</div>
						</div>
						<div class="form-group row">
							<label for="inputtext" class="col-sm-2 col-form-label">Debit (Received)</label>
							<div class="col-sm-8">
								<input type="text" class="form-control" data-format="price" value="00" id="deb" >
							</div>
						</div>
						<div class="form-group row">
							<label for="inputtext" class="col-sm-2 col-form-label">Credit(Spent)</label>
							<div class="col-sm-8">
								<input type="text" class="form-control" data-format="price" value="00" id="cred" >
							</div>
						</div>
						<div class="form-group row">
							<label for="inputtext" class="col-sm-2 col-form-label">Description</label>
							<div class="col-sm-8">
								<input type="text" class="form-control" id="desc" required >
							</div>
						</div>
						<div class="form-group row">
							<label for="inputtext" class="col-sm-2 col-form-label">Branch</label>
							<div class="col-sm-8">
								<input type="text" class="form-control" id="bran" >
							</div>
						</div>
						<div class="form-group row px-5 text-right">
										<div class="col-lg-11">
							<button id="addn" class="btn btn-info">Add New</button>
						</div>

						</div>
			
						
						
						
						
						
					</section>
					
				</div>
				
				
				<div class="col col-lg-5 py-5">
					<div class="row  justify-content-center p-5">
						<h5><i class="fa fa-upload">	</i> Import Bank Statement</h5>
					</div>
					<div class="row justify-content-center p-5">
						
						<a class="btn btn-info" href="ImportModule.php?bankid=<?php echo $bid; ?>">Import Bank Statement</a>
						<!-- Modal -->
						<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
							<div class="modal-dialog" role="document">
								<div class="modal-content" id="importContainer">
									
								</div>
							</div>
						</div>
						
					</div>
					
					
				</div>
			</div>
		</div>
		
		<section class="secTable">
			<div class="row py-5">
				
				<div id="contentTB" class="col col-lg-12">
					
				</div>
				
				
			</div>
		</section>
		
		
		
		<SCRIPT src="bootstrap/js/jquery.min.js" type="text/javascript"></SCRIPT>
		<script src="bootstrap/js/bootstrap.bundle.js"></script>
		<script src="bootstrap/datatables/jquery.dataTables.js"></script>
		<script src="bootstrap/datatables/dataTables.bootstrap4.js"></script>
		<script src="bootstrap/datatables/select.js"></script>
		<script src="bootstrap/js/bootstrap-datetimepicker.js"></script>
		
		<script src="ajaxRequest.js" type="text/javascript"></script>
		<script src="jsplugins/jquery.priceformat.min.js"></script>
		
		<script>
		$(document).ready(function(){
			var isRefOK = false;

				$("#datepicker").datepicker({
		autoclose: true,
		todayHighlight: true
		}).datepicker('update', new Date());
		
		$("#deb").blur(function(){
		if (Number($("#deb").val()) > 0) {
		$("#cred").attr('disabled', true);
		$("#deb").removeClass("is-invalid");
		$("#cred").removeClass("is-invalid");
		}else{
		$("#cred").attr('disabled', false);
		}
		});

		$("#cred").blur(function(){
		if (Number($("#cred").val()) > 0) {
		$("#deb").attr('disabled', true);
			$("#deb").removeClass("is-invalid");
		$("#cred").removeClass("is-invalid");

		}else{
		$("#deb").attr('disabled', false);
		}
		});




			$("#addn").click(function (){
			
			if($("#desc").val().length > 0 && isRefOK == true && (Number($("#deb").val()) > 0 || Number($("#cred").val()) > 0) ){
				ajax_bankstatementTB(<?php echo $bid; ?>, 'AddNew');
				$("#desc").removeClass("is-invalid");
				$("#deb").removeClass("is-invalid");
				$("#cred").removeClass("is-invalid");
				
			}else{
				
				if(isRefOK == false){
					$("#ref").addClass("is-invalid");
					return;
				}

				if($("#desc").val().length > 0){
					$("#deb").addClass("is-invalid");
					$("#cred").addClass("is-invalid");
					$("#desc").removeClass("is-invalid");
				}else{
					$("#desc").addClass("is-invalid");
				}
			}
		});


			$("#ref").bind('click keyup', function() {
				var ref = $(this).val();
				
				var xmlhttp = new XMLHttpRequest();
				xmlhttp.onreadystatechange = function(){
				if(xmlhttp.readyState == 4 && xmlhttp.status == 200){

				if(xmlhttp.responseText == "meron"){
					$("#ref").addClass("is-invalid");
					isRefOK = false;
				}else{
					$("#ref").removeClass("is-invalid");
					isRefOK = true;
				}


				}
				}
				xmlhttp.open('GET', 'referenceCheck.php?bankaccid='+<?php echo $bid; ?>+'&ref='+ref,true);
				xmlhttp.send();
			});



		});



		
		</script>
		
	</body>
</html>